# $Revision: 1.17 $, $Date: 2006/12/13 23:45:47 $
%define		_modname	translit
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - transliterates non-latin character sets to latin
Summary(pl):	%{_modname} - translitacja alfabetw nieaciskich do aciskiego
Name:		php-pecl-%{_modname}
Version:	0.5
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	a22fc5ad0ee0686b3aafd642bae9ec31
URL:		http://pecl.php.net/package/translit/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows you to transliterate text in non-latin
characters (such as Chinese, Cyrillic, Greek etc) to latin characters.
Besides the transliteration the extension also contains filters to
upper- and lowercase latin, cyrillic and greek, and perform special
forms of transliteration such as converting ligatures such as the
Norwegian "ae" ligature to separate "ae" characters and normalizing
punctuation and spacing.

In PECL status of this extension is: %{_status}.

%description -l pl
To rozszerzenie umoliwia transliteracj tekstu ze znakw
nieaciskich (takich jak chiskie, cyrilica, greckie) na znaki
aciskie. Oprcz transliteracji rozszerzenie zawiera take filtry na
wielkie i mae litery aciskie, cyrylic i greckie oraz wykonuje
specjalne formy transliteracji, takie jak konwersja ligatur takich jak
norweska ligatura "ae" na oddzielne znaki "ae" oraz normalizacja
znakw przestankowych i odstpw.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-translit.spec,v $
Revision 1.17  2006/12/13 23:45:47  glen
- rel 6 (php 5.2.0)

Revision 1.16  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.15  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.14  2005/10/30 13:29:27  glen
- rel 4

Revision 1.13  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.12  2005/09/14 22:37:15  glen
- rel 2

Revision 1.11  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.10  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.9  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.8  2005/02/05 20:46:04  adamg
- updated to 0.5

Revision 1.7  2004/12/26 00:24:44  adamg
- updated to 0.4

Revision 1.6  2004/11/14 18:06:42  adamg
- updated to 0.3

Revision 1.5  2004/11/10 16:03:23  adamg
- typo in URL

Revision 1.4  2004/11/10 16:01:12  adamg
- updated to 0.2

Revision 1.3  2004/10/30 10:54:23  qboosh
- pl desc, avoid non-ascii in C desc

Revision 1.2  2004/10/30 07:59:38  ankry
- capitalization and pl fixes

Revision 1.1  2004/10/30 06:36:10  adamg
- new
